> ## Documentation Index
> Fetch the complete documentation index at: https://docs.littledemo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Render a signed runtime embed

Trusted integration endpoint for server-generated signed iframe URLs. The payload may reference an existing demo or request generation using url, prompt, template, section, and player props.

` GET /api/v1/embed/runtime `

Render a signed runtime embed

Trusted integration endpoint for server-generated signed iframe URLs. The payload may reference an existing demo or request generation using url, prompt, template, section, and player props.

## Servers

- ` https://littledemo.com ` — Production

## Parameters

### ` project_id ` (query, required)

- ` value `: type ` string `

  - minLength: ` 1 `

### ` expires ` (query, required)

- ` value `: type ` string `

### ` signature ` (query, required)

- ` value `: type ` string `

### ` payload ` (query, optional)

- ` value `: type ` string `

## Responses

### ` 200 ` — Embeddable HTML player, loading state, or recoverable error

### ` 202 ` — Demo generation started and loading embed returned

### ` 400 ` — Invalid signed payload

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string `

### ` 401 ` — Missing, invalid, or expired signature

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string `

### ` 404 ` — Project or demo not found

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string `

### ` 429 ` — Quota or rate limit exceeded

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string `

## Request examples

### cURL

```curl
curl -X GET 'https://littledemo.com/api/v1/embed/runtime?project_id=string&expires=string&signature=string' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://littledemo.com/api/v1/embed/runtime?project_id=string&expires=string&signature=string', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://littledemo.com/api/v1/embed/runtime?project_id=string&expires=string&signature=string', headers=headers)
print(response.json())
```